CS_* :
 BYTE
 WORD
 DWORD
 QWORD
;

/* * */

HashIndex ->
Arg Items : List : Integer <- I|F|S, . : CS_BYTE

H : Integer : 2^8 <- HashIndex( Items, 8 )

H

/

HashIndex ->
Arg Items : List : Integer <- I|F|S, . : CS_WORD

H : Integer : 2^16 <- HashIndex( Items, 16 )

H

/

HashIndex ->
Arg Items : List : Integer <- I|F|S, . : CS_DWORD

H : Integer : 2^32 <- HashIndex( Items, 32 )

H

/

HashIndex ->
Arg Items : List : Integer <- I|F|S, . : CS_QWORD

H : Integer : 2^64 <- HashIndex( Items, 64 )

H

/